%define anolis_release 35
Name: docbook-style-dsssl
Version: 1.79
Release: %{anolis_release}%{?dist}

Summary: Norman Walsh's modular stylesheets for DocBook

License: DMIT
URL: http://docbook.sourceforge.net/
BuildRequires: perl-generators
BuildRequires: make

Requires: docbook-dtds
Requires: openjade
Requires: sgml-common
Requires(post): sgml-common
Requires(preun): sgml-common

BuildArch: noarch
Source0: http://prdownloads.sourceforge.net/docbook/docbook-dsssl-%{version}.tar.gz
Source1: %{name}.Makefile

%description
These DSSSL stylesheets allow to convert any DocBook document to another
printed (for example, RTF or PostScript) or online (for example, HTML) format.
They are highly customizable.

%package doc
Summary:        Documentation files for %{name}
Requires:       %{name} = %{version}-%{release}

%description    doc
The %{name}-doc package contains documentation files for %{name}.


%prep
%setup -q -n docbook-dsssl-%{version}
cp %{SOURCE1} Makefile

%build

%install
make install BINDIR=%{buildroot}%{_bindir} DESTDIR=%{buildroot}%{_datadir}/sgml/docbook/dsssl-stylesheets-%{version} MANDIR=%{buildroot}%{_mandir}
cd ..
ln -s dsssl-stylesheets-%{version} %{buildroot}%{_datadir}/sgml/docbook/dsssl-stylesheets

%files
%{_bindir}/collateindex.pl
%{_mandir}/man1/collateindex.pl.1*
%{_datadir}/sgml/docbook/dsssl-stylesheets-%{version}
%{_datadir}/sgml/docbook/dsssl-stylesheets

%files doc
%doc BUGS README ChangeLog WhatsNew

%post
for centralized in %{_sysconfdir}/sgml/*-docbook-*.cat
do
  %{_bindir}/install-catalog --add $centralized \
    %{_datadir}/sgml/docbook/dsssl-stylesheets-%{version}/catalog \
    > /dev/null 2>/dev/null
done


%preun
if [ "$1" = "0" ]; then
  for centralized in %{_sysconfdir}/sgml/*-docbook-*.cat
  do
    %{_bindir}/install-catalog --remove $centralized %{_datadir}/sgml/docbook/dsssl-stylesheets-%{version}/catalog > /dev/null 2>/dev/null
  done
fi
exit 0

%changelog
* Sun Feb 19 2023 Funda Wang <fundawang@yeah.net> - 1.79-35
- Import package for anolis 23
